package tokenize

import "testing"

func TestMoveCursorByBytes(t *testing.T) {
	tokenAPI := NewAPI("")
	tokenAPI.Input.Byte.MoveCursor('a')
	tokenAPI.Input.Byte.MoveCursor('b')
	tokenAPI.Input.Byte.MoveCursor('c')
	tokenAPI.Input.Byte.MoveCursor('\r')
	tokenAPI.Input.Byte.MoveCursor('\n')
	tokenAPI.Input.Byte.MoveCursor('a')
	tokenAPI.Input.Byte.MoveCursor('b')

	AssertEqual(t, "line 2, column 3", tokenAPI.Input.Cursor(), "Cursor position after moving by byte")
	AssertEqual(t, 7, tokenAPI.pointers.offset, "Offset after moving by byte")
}
